%global momorel 4

Summary: anjuta-plugins
Name: anjuta-extras
Version: 2.30.1.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://blogs.gnome.org/anjuta/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.30/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: anjuta-devel >= %{version}
BuildRequires: libgnomecanvas-devel
BuildRequires: glib2-devel
BuildRequires: graphviz-devel
BuildRequires: libxml2-devel
BuildRequires: valgrind-devel
BuildRequires: binutils-static binutils-devel

Requires: anjuta

%description
anjuta-plugins

%prep
%setup -q

%build
%configure \
    --disable-schemas-install \
    --enable-static=no
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas \
    %{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas \
    > /dev/null || :

%postun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas \
	%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas \
	> /dev/null || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/anjuta-editor-scintilla.schemas
%{_sysconfdir}/gconf/schemas/anjuta-valgrind.schemas

%{_libdir}/anjuta/libanjuta-class-inheritance.*
%{_libdir}/anjuta/libanjuta-editor.*
%{_libdir}/anjuta/libanjuta-profiler.*
%{_libdir}/anjuta/libanjuta-sample.*
%{_libdir}/anjuta/libanjuta-scratchbox.*
%{_libdir}/anjuta/libanjuta-valgrind.*

%{_libdir}/anjuta/anjuta-class-inheritance.plugin
%{_libdir}/anjuta/anjuta-editor.plugin
%{_libdir}/anjuta/profiler.plugin
%{_libdir}/anjuta/anjuta-sample.plugin
%{_libdir}/anjuta/anjuta-scratchbox.plugin
%{_libdir}/anjuta/anjuta-valgrind.plugin

%{_datadir}/anjuta/glade/*
%{_datadir}/anjuta/properties/*
%{_datadir}/anjuta/ui/*
%{_datadir}/pixmaps/anjuta/*

%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.30.1.0-4m)
- full rebuild for mo7 release

* Mon May  3 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.1.0-3m)
- add BuildRequires

* Sat May  1 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.30.1.0-2m)
- update BuildRequires

* Thu Apr 29 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.30.1.0-1m)
- update to 2.30.1.0

* Sun Mar  7 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.29.2.0-1m)
- update to 2.29.2.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.28.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Oct  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.28.0-1m)
- initial build
